Pandabase
Store APIsPayouts

List payouts

GET
/stores/{storeId}/payouts/

Returns a list of payouts requested by the store, most recent first. Requires the PAYOUTS_READ scope.

Authorization

AuthorizationBearer <token>

Bearer token authentication. Pass the secret directly in the Authorization header. Token secrets start with sk_.

In: header

Path Parameters

storeId*string
Length12 <= length <= 48

Query Parameters

page?integer
Range1 <= value
Default1
limit?integer
Range1 <= value <= 100
Default20

Header Parameters

idempotency-key?string
Length8 <= length <= 32

Response Body

application/json

application/json

curl -X GET "https://example.com/stores/stringstring/payouts/"
{  "ok": true,  "data": {    "items": [      {        "id": "pto_n4tr3bcfp2v8q1mzj0kxw5h7",        "amount": 500000,        "fee": 250,        "status": "PROCESSING",        "referenceId": "obp_3OXxxxxx0123456789ABCD",        "payoutMethod": {          "id": "bnk_q1mzj0kxw5h7n4tr3bcfp2v8",          "isPrimary": true,          "status": "APPROVED"        },        "createdAt": "2026-05-13T16:20:00.000Z",        "updatedAt": "2026-05-13T16:21:08.000Z"      }    ],    "pagination": {      "page": 1,      "limit": 25,      "total": 1,      "totalPages": 1    }  }}

Last updated on